## org.omg.PortableInterceptor
Class InterceptorHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.InterceptorHelper

public class InterceptorHelper
extends java.lang.Object

Helper class for : Interceptor

Author:
  OpenORB Compiler

Constructor Summary
`InterceptorHelper()`

Method Summary
`static Interceptor` `extract(Any a)` Extract Interceptor from an any
`static java.lang.String` `id()` Return the Interceptor IDL ID
`static void` `insert(Any a, Interceptor t)` Insert Interceptor into an any
`static Interceptor` `narrow(Object obj)` Narrow CORBA::Object to Interceptor
`static Interceptor` `read(InputStream istream)` Read Interceptor from a marshalled stream
`static TypeCode` `type()` Return the Interceptor TypeCode
`static Interceptor` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to Interceptor
`static void` `write(OutputStream ostream, Interceptor value)` Write Interceptor into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorHelper

    public InterceptorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Interceptor t)

  Insert Interceptor into an any
  Parameters:
    `a` - an any
    `t` - Interceptor value

### extract

    public static Interceptor extract(Any a)

  Extract Interceptor from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Interceptor value

### type

    public static TypeCode type()

  Return the Interceptor TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Interceptor IDL ID
  Returns:
    an ID

### read

    public static Interceptor read(InputStream istream)

  Read Interceptor from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Interceptor value

### write

    public static void write(OutputStream ostream,
                             Interceptor value)

  Write Interceptor into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Interceptor value

### narrow

    public static Interceptor narrow(Object obj)

  Narrow CORBA::Object to Interceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Interceptor Object

### unchecked_narrow

    public static Interceptor unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to Interceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Interceptor Object